Bug 601087 - [abrt] crash in iftop-0.17-10.fc12: __strcmp_ssse3: Process /usr/sbin/iftop was killed by signal 11 (SIGSEGV)
Summary: [abrt] crash in iftop-0.17-10.fc12: __strcmp_ssse3: Process /usr/sbin/iftop w...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: iftop
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:1f005c7f55dbeb8f33a3076a78a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-07 07:58 UTC by Michal Hlavinka
Modified: 2010-08-06 19:57 UTC (History)
1 user (show)

Fixed In Version: iftop-0.17-11.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-11 10:18:55 UTC


Attachments (Terms of Use)
File: backtrace (67.85 KB, text/plain)
2010-06-07 07:58 UTC, Michal Hlavinka
no flags Details
patch to fix this (1.79 KB, patch)
2010-06-07 10:05 UTC, Michal Hlavinka
no flags Details | Diff

Description Michal Hlavinka 2010-06-07 07:58:44 UTC
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: iftop -n -N -b -N 192.168.3.12/255.255.255.255
component: iftop
crash_function: __strcmp_ssse3
executable: /usr/sbin/iftop
global_uuid: 1f005c7f55dbeb8f33a3076a78aff67eb7568722
kernel: 2.6.32.11-99.fc12.x86_64
package: iftop-0.17-10.fc12
rating: 4
reason: Process /usr/sbin/iftop was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1. iftop -n -N -b -N 192.168.3.12/255.255.255.255'

-> instant crash

Comment 1 Michal Hlavinka 2010-06-07 07:58:46 UTC
Created attachment 421744 [details]
File: backtrace

Comment 2 Michal Hlavinka 2010-06-07 10:00:16 UTC
problem is in stringmap implementation (stringmap.c) when removing some node from the tree, node itself is deallocated, but parent's pointer remains set. This results to pointer with free(ed) memory.

Comment 3 Michal Hlavinka 2010-06-07 10:05:12 UTC
Created attachment 421768 [details]
patch to fix this

I need it working, so I've prepared this patch. It adds pointer to parent that is used to reset lesser/greater pointer when freeing appropriate sub-node.

btw, usage/help output mentions ... [-N net/mask] but correct is:
-F net/mask --- show traffic flows in/out of network
-N --- don't convert port numbers to services

Comment 4 Fedora Update System 2010-07-11 10:14:55 UTC
iftop-0.17-11.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/iftop-0.17-11.fc13

Comment 5 Fedora Update System 2010-07-11 10:17:25 UTC
iftop-0.17-11.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/iftop-0.17-11.fc12

Comment 6 Fedora Update System 2010-07-11 10:17:45 UTC
iftop-0.17-11.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/iftop-0.17-11.el5

Comment 7 Fedora Update System 2010-07-11 10:17:57 UTC
iftop-0.17-11.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/iftop-0.17-11.el4

Comment 8 Fedora Update System 2010-07-30 08:34:52 UTC
iftop-0.17-11.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-07-30 08:36:16 UTC
iftop-0.17-11.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-08-06 19:55:19 UTC
iftop-0.17-11.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-08-06 19:57:09 UTC
iftop-0.17-11.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.